Bug 655433

Summary: [abrt] gourmet-0.15.4-4.fc13: shopgui.py:1100:getOptionalIngDic:TypeError: exceptions must be classes or instances, not str
Product: [Fedora] Fedora Reporter: Sean Sheedy <seansh>
Component: gourmetAssignee: Jeff Raber <jeff.raber>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: jeff.raber, jspaleta
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:1a78d303
Fixed In Version: gourmet-0.15.9-1.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-02 10:57:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace none

Description Sean Sheedy 2010-11-20 22:52:47 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/gourmet
component: gourmet
executable: /usr/bin/gourmet
kernel: 2.6.34.7-61.fc13.x86_64
package: gourmet-0.15.4-4.fc13
reason: shopgui.py:1100:getOptionalIngDic:TypeError: exceptions must be classes or instances, not str
release: Fedora release 13 (Goddard)
time: 1290293499
uid: 500

How to reproduce
-----
1. Add recipe with optional ingredient to shopping list.
2. In the dialog box asking whether to to include the ingredient, click the box for "yes", then the cancel button.

Comment 1 Sean Sheedy 2010-11-20 22:52:49 UTC
Created attachment 461777 [details]
File: backtrace

Comment 2 Jeff Raber 2010-12-12 07:29:52 UTC
A patch to fix this bug was committed in the upstream git on 10 Jul 2010.  
See Commit 6babc2ed7d16e1a3c07f33db0e95fcc4b6a30f9f

This patch is included in version 0.15.6 from upstream.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Fedora Update System 2011-05-12 05:57:41 UTC
gourmet-0.15.9-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gourmet-0.15.9-1.fc13

Comment 4 Fedora Update System 2011-05-13 23:06:02 UTC
Package gourmet-0.15.9-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gourmet-0.15.9-1.fc13'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gourmet-0.15.9-1.fc13
then log in and leave karma (feedback).

Comment 5 Bug Zapper 2011-05-30 13:34:46 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora Update System 2011-06-02 10:57:15 UTC
gourmet-0.15.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-06-02 18:56:36 UTC
gourmet-0.15.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.